<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>Configuration Preview</ion-title>
    <ion-buttons slot="end">
      <ion-button color="danger" (click)="goBack()">
        <ion-icon slot="start" name="close"></ion-icon>
        Close
      </ion-button>
    </ion-buttons>
    <ion-progress-bar type="indeterminate" *ngIf="showSkeleton"></ion-progress-bar>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-grid>
    <ion-row class="forms-section" *ngIf="showSkeleton">
      <ion-col>
        <ion-list>
          <ion-list-header>
            <ion-skeleton-text [animated]="true" style="width: 80px"></ion-skeleton-text>
          </ion-list-header>
          <ion-item>
            <ion-thumbnail slot="start">
              <ion-skeleton-text [animated]="true"></ion-skeleton-text>
            </ion-thumbnail>
            <ion-label>
              <h3>
                <ion-skeleton-text [animated]="true" style="width: 80%;"></ion-skeleton-text>
              </h3>
              <p>
                <ion-skeleton-text [animated]="true" style="width: 60%;"></ion-skeleton-text>
              </p>
              <p>
                <ion-skeleton-text [animated]="true" style="width: 30%;"></ion-skeleton-text>
              </p>
            </ion-label>
          </ion-item>
        </ion-list>
      </ion-col>
    </ion-row>
    <ion-row class="forms-section" *ngIf="!showSkeleton">
      <ion-col size="12">
        <div id="appPreviewEditor" class="jsonEditor" #appPreviewEditor></div>
      </ion-col>
      <ion-col size="12">
        <ion-button class="ion-margin" expand="block" color="success">
          <ion-icon name="" slot="start"></ion-icon>
          Trigger Pipeline
        </ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>